Install G.729 and G.723 Codecs

Introduction

G.729 and G.723 codecs are protocols for voice compression when communicating with other devices. To use the G.729 and G.723 codecs, you need the following:

  1. Your UCx system must be updated to release 4.0 or higher
  2. License to use the G.729 and G.723 codecs must be installed on your UCx system

Please contact your E-MetroTel representative for ordering and pricing.

Installation

Install License String

After you have obtained an updated license string with G.729 and G.723 Codecs enabled, install the new license string.

See the Enter License page for details.

Install Software Package

Perform the following steps to install the package:

  1. From the System tab, select Updates
  2. From the left side column, select Packages
  3. Click on Show Filter under name field enter g72x
  4. Under Status  pull-down, select All
  5. Locate the asterisk-g72x package and click on the Install link in the Status column

Note: If you cannot find the asterisk-g72x package, click on Repositories Update button to update the package list, then repeat the process to find and install the package.

Restart Telephony Service

To get the Codecs loaded onto your UCx system, perform the following steps to restart the Telephony Service:

  1. Navigate to the System - Dashboard panel
  2. Go to the Processes Status applet, select Restart process from the pull-down list for Telephony Service

Page Tags: 
How-To